diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_simple_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_simple_msql.sql
index 8ce69fbd..c021a714 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_simple_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_simple_msql.sql
@@ -1,4 +1,4 @@
-ALTER TABLE testschema.test_second_table
+ALTER TABLE IF EXISTS testschema.test_second_table
     ADD CONSTRAINT "FKey_$%{}[]()&*^!@""'`\/#" FOREIGN KEY (so_id)
     REFERENCES testschema.test_first_table (id) MATCH SIMPLE
     ON UPDATE NO ACTION
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_with_all_options.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_with_all_options.sql
index c699292e..b8546fc0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_with_all_options.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_with_all_options.sql
@@ -1,8 +1,8 @@
 -- Constraint: FKey_$%{}[]()&*^!@"'`\/#
 
--- ALTER TABLE testschema.test_second_table DROP CONSTRAINT "FKey_$%{}[]()&*^!@""'`\/#";
+-- ALTER TABLE IF EXISTS testschema.test_second_table DROP CONSTRAINT IF EXISTS "FKey_$%{}[]()&*^!@""'`\/#";
 
-ALTER TABLE testschema.test_second_table
+ALTER TABLE IF EXISTS testschema.test_second_table
     ADD CONSTRAINT "FKey_$%{}[]()&*^!@""'`\/#" FOREIGN KEY (so_id)
     REFERENCES testschema.test_first_table (id) MATCH FULL
     ON UPDATE NO ACTION
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_with_all_options_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_with_all_options_msql.sql
index d701ec77..40861d97 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_with_all_options_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/9.3_plus/create_foreign_key_with_all_options_msql.sql
@@ -1,4 +1,4 @@
-ALTER TABLE testschema.test_second_table
+ALTER TABLE IF EXISTS testschema.test_second_table
     ADD CONSTRAINT "FKey_$%{}[]()&*^!@""'`\/#" FOREIGN KEY (so_id)
     REFERENCES testschema.test_first_table (id) MATCH FULL
     ON UPDATE NO ACTION
@@ -9,5 +9,5 @@ ALTER TABLE testschema.test_second_table
 COMMENT ON CONSTRAINT "FKey_$%{}[]()&*^!@""'`\/#" ON testschema.test_second_table
     IS 'Test Comment';
 
-CREATE INDEX "fki_FKey_$%{}[]()&*^!@""'`\/#"
+CREATE INDEX IF NOT EXISTS "fki_FKey_$%{}[]()&*^!@""'`\/#"
     ON testschema.test_second_table(so_id);
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/alter_pkey_constraint.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/alter_pkey_constraint.sql
index 6a867ba9..ee3ad608 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/alter_pkey_constraint.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/alter_pkey_constraint.sql
@@ -1,8 +1,8 @@
 -- Constraint: Pk_$%{}[]()&*^!@"'`\/#a
 
--- ALTER TABLE testschema.tablefor_primary_key_cons DROP CONSTRAINT "Pk_$%{}[]()&*^!@""'`\/#a";
+-- ALTER TABLE IF EXISTS testschema.tablefor_primary_key_cons DROP CONSTRAINT IF EXISTS "Pk_$%{}[]()&*^!@""'`\/#a";
 
-ALTER TABLE testschema.tablefor_primary_key_cons
+ALTER TABLE IF EXISTS testschema.tablefor_primary_key_cons
     ADD CONSTRAINT "Pk_$%{}[]()&*^!@""'`\/#a" PRIMARY KEY (col1)
     INCLUDE (col2)
     WITH (FILLFACTOR=90)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/alter_pkey_constraint_with_index.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/alter_pkey_constraint_with_index.sql
index 1a720e36..cc84e9d4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/alter_pkey_constraint_with_index.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/alter_pkey_constraint_with_index.sql
@@ -1,8 +1,8 @@
 -- Constraint: Pk_$%{}[]()&*^!@"'`\/#a
 
--- ALTER TABLE testschema.tablefor_primary_key_cons DROP CONSTRAINT "Pk_$%{}[]()&*^!@""'`\/#a";
+-- ALTER TABLE IF EXISTS testschema.tablefor_primary_key_cons DROP CONSTRAINT IF EXISTS "Pk_$%{}[]()&*^!@""'`\/#a";
 
-ALTER TABLE testschema.tablefor_primary_key_cons
+ALTER TABLE IF EXISTS testschema.tablefor_primary_key_cons
     ADD CONSTRAINT "Pk_$%{}[]()&*^!@""'`\/#a" PRIMARY KEY (col1)
     WITH (FILLFACTOR=90);
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/alter_pkey_reset_fillfactor.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/alter_pkey_reset_fillfactor.sql
index c97b44cd..a7cf8983 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/alter_pkey_reset_fillfactor.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/alter_pkey_reset_fillfactor.sql
@@ -1,8 +1,8 @@
 -- Constraint: Pk_$%{}[]()&*^!@"'`\/#a
 
--- ALTER TABLE testschema.tablefor_primary_key_cons DROP CONSTRAINT "Pk_$%{}[]()&*^!@""'`\/#a";
+-- ALTER TABLE IF EXISTS testschema.tablefor_primary_key_cons DROP CONSTRAINT IF EXISTS "Pk_$%{}[]()&*^!@""'`\/#a";
 
-ALTER TABLE testschema.tablefor_primary_key_cons
+ALTER TABLE IF EXISTS testschema.tablefor_primary_key_cons
     ADD CONSTRAINT "Pk_$%{}[]()&*^!@""'`\/#a" PRIMARY KEY (col1)
     INCLUDE (col2)
     DEFERRABLE INITIALLY DEFERRED;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/alter_unique_constraint.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/alter_unique_constraint.sql
index 32a23c87..bdf4b75d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/alter_unique_constraint.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/alter_unique_constraint.sql
@@ -1,8 +1,8 @@
 -- Constraint: UC_$%{}[]()&*^!@"'`\/#a
 
--- ALTER TABLE testschema.tablefor_unique_cons DROP CONSTRAINT "UC_$%{}[]()&*^!@""'`\/#a";
+-- ALTER TABLE IF EXISTS testschema.tablefor_unique_cons DROP CONSTRAINT IF EXISTS "UC_$%{}[]()&*^!@""'`\/#a";
 
-ALTER TABLE testschema.tablefor_unique_cons
+ALTER TABLE IF EXISTS testschema.tablefor_unique_cons
     ADD CONSTRAINT "UC_$%{}[]()&*^!@""'`\/#a" UNIQUE (col1)
     INCLUDE (col2)
     WITH (FILLFACTOR=90)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/alter_unique_constraint_with_index.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/alter_unique_constraint_with_index.sql
index 523703f7..b5e51d0e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/alter_unique_constraint_with_index.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/alter_unique_constraint_with_index.sql
@@ -1,8 +1,8 @@
 -- Constraint: UC_$%{}[]()&*^!@"'`\/#a
 
--- ALTER TABLE testschema.tablefor_unique_cons DROP CONSTRAINT "UC_$%{}[]()&*^!@""'`\/#a";
+-- ALTER TABLE IF EXISTS testschema.tablefor_unique_cons DROP CONSTRAINT IF EXISTS "UC_$%{}[]()&*^!@""'`\/#a";
 
-ALTER TABLE testschema.tablefor_unique_cons
+ALTER TABLE IF EXISTS testschema.tablefor_unique_cons
     ADD CONSTRAINT "UC_$%{}[]()&*^!@""'`\/#a" UNIQUE (col1)
     WITH (FILLFACTOR=90);
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/alter_unique_reset_fillfactor.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/alter_unique_reset_fillfactor.sql
index ad757f2f..446b3727 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/alter_unique_reset_fillfactor.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/alter_unique_reset_fillfactor.sql
@@ -1,8 +1,8 @@
 -- Constraint: UC_$%{}[]()&*^!@"'`\/#a
 
--- ALTER TABLE testschema.tablefor_unique_cons DROP CONSTRAINT "UC_$%{}[]()&*^!@""'`\/#a";
+-- ALTER TABLE IF EXISTS testschema.tablefor_unique_cons DROP CONSTRAINT IF EXISTS "UC_$%{}[]()&*^!@""'`\/#a";
 
-ALTER TABLE testschema.tablefor_unique_cons
+ALTER TABLE IF EXISTS testschema.tablefor_unique_cons
     ADD CONSTRAINT "UC_$%{}[]()&*^!@""'`\/#a" UNIQUE (col1)
     INCLUDE (col2)
     DEFERRABLE INITIALLY DEFERRED;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_pkey_constraint.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_pkey_constraint.sql
index 84aeb409..15a7a62b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_pkey_constraint.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_pkey_constraint.sql
@@ -1,8 +1,8 @@
 -- Constraint: Pk_$%{}[]()&*^!@"'`\/#
 
--- ALTER TABLE testschema.tablefor_primary_key_cons DROP CONSTRAINT "Pk_$%{}[]()&*^!@""'`\/#";
+-- ALTER TABLE IF EXISTS testschema.tablefor_primary_key_cons DROP CONSTRAINT IF EXISTS "Pk_$%{}[]()&*^!@""'`\/#";
 
-ALTER TABLE testschema.tablefor_primary_key_cons
+ALTER TABLE IF EXISTS testschema.tablefor_primary_key_cons
     ADD CONSTRAINT "Pk_$%{}[]()&*^!@""'`\/#" PRIMARY KEY (col1)
     INCLUDE (col2)
     WITH (FILLFACTOR=20)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_pkey_constraint_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_pkey_constraint_msql.sql
index cc794c94..8fede9bc 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_pkey_constraint_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_pkey_constraint_msql.sql
@@ -1,4 +1,4 @@
-ALTER TABLE testschema.tablefor_primary_key_cons
+ALTER TABLE IF EXISTS testschema.tablefor_primary_key_cons
     ADD CONSTRAINT "Pk_$%{}[]()&*^!@""'`\/#" PRIMARY KEY (col1)
     INCLUDE (col2)
     WITH (FILLFACTOR=20)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_pkey_constraint_with_index.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_pkey_constraint_with_index.sql
index c6da21c4..02a1113a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_pkey_constraint_with_index.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_pkey_constraint_with_index.sql
@@ -1,8 +1,8 @@
 -- Constraint: Pk_$%{}[]()&*^!@"'`\/#
 
--- ALTER TABLE testschema.tablefor_primary_key_cons DROP CONSTRAINT "Pk_$%{}[]()&*^!@""'`\/#";
+-- ALTER TABLE IF EXISTS testschema.tablefor_primary_key_cons DROP CONSTRAINT IF EXISTS "Pk_$%{}[]()&*^!@""'`\/#";
 
-ALTER TABLE testschema.tablefor_primary_key_cons
+ALTER TABLE IF EXISTS testschema.tablefor_primary_key_cons
     ADD CONSTRAINT "Pk_$%{}[]()&*^!@""'`\/#" PRIMARY KEY (col1)
     WITH (FILLFACTOR=20);
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_pkey_constraint_with_index_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_pkey_constraint_with_index_msql.sql
index bdbb820c..ff467215 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_pkey_constraint_with_index_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_pkey_constraint_with_index_msql.sql
@@ -1,4 +1,4 @@
-ALTER TABLE testschema.tablefor_primary_key_cons
+ALTER TABLE IF EXISTS testschema.tablefor_primary_key_cons
     ADD CONSTRAINT "Pk_$%{}[]()&*^!@""'`\/#" PRIMARY KEY USING INDEX uindex;
 
 COMMENT ON CONSTRAINT "Pk_$%{}[]()&*^!@""'`\/#" ON testschema.tablefor_primary_key_cons
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_unique_constraint.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_unique_constraint.sql
index 180037f7..ace12822 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_unique_constraint.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_unique_constraint.sql
@@ -1,8 +1,8 @@
 -- Constraint: UC_$%{}[]()&*^!@"'`\/#
 
--- ALTER TABLE testschema.tablefor_unique_cons DROP CONSTRAINT "UC_$%{}[]()&*^!@""'`\/#";
+-- ALTER TABLE IF EXISTS testschema.tablefor_unique_cons DROP CONSTRAINT IF EXISTS "UC_$%{}[]()&*^!@""'`\/#";
 
-ALTER TABLE testschema.tablefor_unique_cons
+ALTER TABLE IF EXISTS testschema.tablefor_unique_cons
     ADD CONSTRAINT "UC_$%{}[]()&*^!@""'`\/#" UNIQUE (col1)
     INCLUDE (col2)
     WITH (FILLFACTOR=20)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_unique_constraint_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_unique_constraint_msql.sql
index afcce154..83c4e180 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_unique_constraint_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_unique_constraint_msql.sql
@@ -1,4 +1,4 @@
-ALTER TABLE testschema.tablefor_unique_cons
+ALTER TABLE IF EXISTS testschema.tablefor_unique_cons
     ADD CONSTRAINT "UC_$%{}[]()&*^!@""'`\/#" UNIQUE (col1)
     INCLUDE (col2)
     WITH (FILLFACTOR=20)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_unique_constraint_with_index.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_unique_constraint_with_index.sql
index 83c3e289..76fd9e54 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_unique_constraint_with_index.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_unique_constraint_with_index.sql
@@ -1,8 +1,8 @@
 -- Constraint: UC_$%{}[]()&*^!@"'`\/#
 
--- ALTER TABLE testschema.tablefor_unique_cons DROP CONSTRAINT "UC_$%{}[]()&*^!@""'`\/#";
+-- ALTER TABLE IF EXISTS testschema.tablefor_unique_cons DROP CONSTRAINT IF EXISTS "UC_$%{}[]()&*^!@""'`\/#";
 
-ALTER TABLE testschema.tablefor_unique_cons
+ALTER TABLE IF EXISTS testschema.tablefor_unique_cons
     ADD CONSTRAINT "UC_$%{}[]()&*^!@""'`\/#" UNIQUE (col1)
     WITH (FILLFACTOR=20);
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_unique_constraint_with_index_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_unique_constraint_with_index_msql.sql
index bb1f7c65..7025378c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_unique_constraint_with_index_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/11_plus/create_unique_constraint_with_index_msql.sql
@@ -1,4 +1,4 @@
-ALTER TABLE testschema.tablefor_unique_cons
+ALTER TABLE IF EXISTS testschema.tablefor_unique_cons
     ADD CONSTRAINT "UC_$%{}[]()&*^!@""'`\/#" UNIQUE USING INDEX uindex;
 
 COMMENT ON CONSTRAINT "UC_$%{}[]()&*^!@""'`\/#" ON testschema.tablefor_unique_cons
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/alter_pkey_constraint.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/alter_pkey_constraint.sql
index 8715af09..5b580c18 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/alter_pkey_constraint.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/alter_pkey_constraint.sql
@@ -1,8 +1,8 @@
 -- Constraint: Pk_$%{}[]()&*^!@"'`\/#a
 
--- ALTER TABLE testschema.tablefor_primary_key_cons DROP CONSTRAINT "Pk_$%{}[]()&*^!@""'`\/#a";
+-- ALTER TABLE IF EXISTS testschema.tablefor_primary_key_cons DROP CONSTRAINT IF EXISTS "Pk_$%{}[]()&*^!@""'`\/#a";
 
-ALTER TABLE testschema.tablefor_primary_key_cons
+ALTER TABLE IF EXISTS testschema.tablefor_primary_key_cons
     ADD CONSTRAINT "Pk_$%{}[]()&*^!@""'`\/#a" PRIMARY KEY (col1)
     WITH (FILLFACTOR=90)
     DEFERRABLE INITIALLY DEFERRED;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/alter_pkey_constraint_with_index.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/alter_pkey_constraint_with_index.sql
index 1a720e36..cc84e9d4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/alter_pkey_constraint_with_index.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/alter_pkey_constraint_with_index.sql
@@ -1,8 +1,8 @@
 -- Constraint: Pk_$%{}[]()&*^!@"'`\/#a
 
--- ALTER TABLE testschema.tablefor_primary_key_cons DROP CONSTRAINT "Pk_$%{}[]()&*^!@""'`\/#a";
+-- ALTER TABLE IF EXISTS testschema.tablefor_primary_key_cons DROP CONSTRAINT IF EXISTS "Pk_$%{}[]()&*^!@""'`\/#a";
 
-ALTER TABLE testschema.tablefor_primary_key_cons
+ALTER TABLE IF EXISTS testschema.tablefor_primary_key_cons
     ADD CONSTRAINT "Pk_$%{}[]()&*^!@""'`\/#a" PRIMARY KEY (col1)
     WITH (FILLFACTOR=90);
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/alter_pkey_reset_fillfactor.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/alter_pkey_reset_fillfactor.sql
index d7d3a8b1..6006c403 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/alter_pkey_reset_fillfactor.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/alter_pkey_reset_fillfactor.sql
@@ -1,8 +1,8 @@
 -- Constraint: Pk_$%{}[]()&*^!@"'`\/#a
 
--- ALTER TABLE testschema.tablefor_primary_key_cons DROP CONSTRAINT "Pk_$%{}[]()&*^!@""'`\/#a";
+-- ALTER TABLE IF EXISTS testschema.tablefor_primary_key_cons DROP CONSTRAINT IF EXISTS "Pk_$%{}[]()&*^!@""'`\/#a";
 
-ALTER TABLE testschema.tablefor_primary_key_cons
+ALTER TABLE IF EXISTS testschema.tablefor_primary_key_cons
     ADD CONSTRAINT "Pk_$%{}[]()&*^!@""'`\/#a" PRIMARY KEY (col1)
     DEFERRABLE INITIALLY DEFERRED;
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/alter_unique_constraint.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/alter_unique_constraint.sql
index 6ea59779..59b1eede 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/alter_unique_constraint.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/alter_unique_constraint.sql
@@ -1,8 +1,8 @@
 -- Constraint: UC_$%{}[]()&*^!@"'`\/#a
 
--- ALTER TABLE testschema.tablefor_unique_cons DROP CONSTRAINT "UC_$%{}[]()&*^!@""'`\/#a";
+-- ALTER TABLE IF EXISTS testschema.tablefor_unique_cons DROP CONSTRAINT IF EXISTS "UC_$%{}[]()&*^!@""'`\/#a";
 
-ALTER TABLE testschema.tablefor_unique_cons
+ALTER TABLE IF EXISTS testschema.tablefor_unique_cons
     ADD CONSTRAINT "UC_$%{}[]()&*^!@""'`\/#a" UNIQUE (col1)
     WITH (FILLFACTOR=90)
     DEFERRABLE INITIALLY DEFERRED;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/alter_unique_constraint_with_index.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/alter_unique_constraint_with_index.sql
index 523703f7..b5e51d0e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/alter_unique_constraint_with_index.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/alter_unique_constraint_with_index.sql
@@ -1,8 +1,8 @@
 -- Constraint: UC_$%{}[]()&*^!@"'`\/#a
 
--- ALTER TABLE testschema.tablefor_unique_cons DROP CONSTRAINT "UC_$%{}[]()&*^!@""'`\/#a";
+-- ALTER TABLE IF EXISTS testschema.tablefor_unique_cons DROP CONSTRAINT IF EXISTS "UC_$%{}[]()&*^!@""'`\/#a";
 
-ALTER TABLE testschema.tablefor_unique_cons
+ALTER TABLE IF EXISTS testschema.tablefor_unique_cons
     ADD CONSTRAINT "UC_$%{}[]()&*^!@""'`\/#a" UNIQUE (col1)
     WITH (FILLFACTOR=90);
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/alter_unique_reset_fillfactor.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/alter_unique_reset_fillfactor.sql
index 47cd0bc3..d565b7ed 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/alter_unique_reset_fillfactor.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/alter_unique_reset_fillfactor.sql
@@ -1,8 +1,8 @@
 -- Constraint: UC_$%{}[]()&*^!@"'`\/#a
 
--- ALTER TABLE testschema.tablefor_unique_cons DROP CONSTRAINT "UC_$%{}[]()&*^!@""'`\/#a";
+-- ALTER TABLE IF EXISTS testschema.tablefor_unique_cons DROP CONSTRAINT IF EXISTS "UC_$%{}[]()&*^!@""'`\/#a";
 
-ALTER TABLE testschema.tablefor_unique_cons
+ALTER TABLE IF EXISTS testschema.tablefor_unique_cons
     ADD CONSTRAINT "UC_$%{}[]()&*^!@""'`\/#a" UNIQUE (col1)
     DEFERRABLE INITIALLY DEFERRED;
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_pkey_constraint.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_pkey_constraint.sql
index 2f2c493e..9ea9f9c8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_pkey_constraint.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_pkey_constraint.sql
@@ -1,8 +1,8 @@
 -- Constraint: Pk_$%{}[]()&*^!@"'`\/#
 
--- ALTER TABLE testschema.tablefor_primary_key_cons DROP CONSTRAINT "Pk_$%{}[]()&*^!@""'`\/#";
+-- ALTER TABLE IF EXISTS testschema.tablefor_primary_key_cons DROP CONSTRAINT IF EXISTS "Pk_$%{}[]()&*^!@""'`\/#";
 
-ALTER TABLE testschema.tablefor_primary_key_cons
+ALTER TABLE IF EXISTS testschema.tablefor_primary_key_cons
     ADD CONSTRAINT "Pk_$%{}[]()&*^!@""'`\/#" PRIMARY KEY (col1)
     WITH (FILLFACTOR=20)
     DEFERRABLE INITIALLY DEFERRED;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_pkey_constraint_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_pkey_constraint_msql.sql
index 6f65d212..1f66bf74 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_pkey_constraint_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_pkey_constraint_msql.sql
@@ -1,4 +1,4 @@
-ALTER TABLE testschema.tablefor_primary_key_cons
+ALTER TABLE IF EXISTS testschema.tablefor_primary_key_cons
     ADD CONSTRAINT "Pk_$%{}[]()&*^!@""'`\/#" PRIMARY KEY (col1)
     WITH (FILLFACTOR=20)
     DEFERRABLE INITIALLY DEFERRED;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_pkey_constraint_with_index.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_pkey_constraint_with_index.sql
index c6da21c4..02a1113a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_pkey_constraint_with_index.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_pkey_constraint_with_index.sql
@@ -1,8 +1,8 @@
 -- Constraint: Pk_$%{}[]()&*^!@"'`\/#
 
--- ALTER TABLE testschema.tablefor_primary_key_cons DROP CONSTRAINT "Pk_$%{}[]()&*^!@""'`\/#";
+-- ALTER TABLE IF EXISTS testschema.tablefor_primary_key_cons DROP CONSTRAINT IF EXISTS "Pk_$%{}[]()&*^!@""'`\/#";
 
-ALTER TABLE testschema.tablefor_primary_key_cons
+ALTER TABLE IF EXISTS testschema.tablefor_primary_key_cons
     ADD CONSTRAINT "Pk_$%{}[]()&*^!@""'`\/#" PRIMARY KEY (col1)
     WITH (FILLFACTOR=20);
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_pkey_constraint_with_index_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_pkey_constraint_with_index_msql.sql
index bdbb820c..ff467215 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_pkey_constraint_with_index_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_pkey_constraint_with_index_msql.sql
@@ -1,4 +1,4 @@
-ALTER TABLE testschema.tablefor_primary_key_cons
+ALTER TABLE IF EXISTS testschema.tablefor_primary_key_cons
     ADD CONSTRAINT "Pk_$%{}[]()&*^!@""'`\/#" PRIMARY KEY USING INDEX uindex;
 
 COMMENT ON CONSTRAINT "Pk_$%{}[]()&*^!@""'`\/#" ON testschema.tablefor_primary_key_cons
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_unique_constraint.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_unique_constraint.sql
index c720c210..4d939234 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_unique_constraint.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_unique_constraint.sql
@@ -1,8 +1,8 @@
 -- Constraint: UC_$%{}[]()&*^!@"'`\/#
 
--- ALTER TABLE testschema.tablefor_unique_cons DROP CONSTRAINT "UC_$%{}[]()&*^!@""'`\/#";
+-- ALTER TABLE IF EXISTS testschema.tablefor_unique_cons DROP CONSTRAINT IF EXISTS "UC_$%{}[]()&*^!@""'`\/#";
 
-ALTER TABLE testschema.tablefor_unique_cons
+ALTER TABLE IF EXISTS testschema.tablefor_unique_cons
     ADD CONSTRAINT "UC_$%{}[]()&*^!@""'`\/#" UNIQUE (col1)
     WITH (FILLFACTOR=20)
     DEFERRABLE INITIALLY DEFERRED;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_unique_constraint_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_unique_constraint_msql.sql
index fb47fd94..41fd55af 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_unique_constraint_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_unique_constraint_msql.sql
@@ -1,4 +1,4 @@
-ALTER TABLE testschema.tablefor_unique_cons
+ALTER TABLE IF EXISTS testschema.tablefor_unique_cons
     ADD CONSTRAINT "UC_$%{}[]()&*^!@""'`\/#" UNIQUE (col1)
     WITH (FILLFACTOR=20)
     DEFERRABLE INITIALLY DEFERRED;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_unique_constraint_with_index.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_unique_constraint_with_index.sql
index 83c3e289..76fd9e54 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_unique_constraint_with_index.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_unique_constraint_with_index.sql
@@ -1,8 +1,8 @@
 -- Constraint: UC_$%{}[]()&*^!@"'`\/#
 
--- ALTER TABLE testschema.tablefor_unique_cons DROP CONSTRAINT "UC_$%{}[]()&*^!@""'`\/#";
+-- ALTER TABLE IF EXISTS testschema.tablefor_unique_cons DROP CONSTRAINT IF EXISTS "UC_$%{}[]()&*^!@""'`\/#";
 
-ALTER TABLE testschema.tablefor_unique_cons
+ALTER TABLE IF EXISTS testschema.tablefor_unique_cons
     ADD CONSTRAINT "UC_$%{}[]()&*^!@""'`\/#" UNIQUE (col1)
     WITH (FILLFACTOR=20);
 
